# SimpleTestFormatterElement

Extends \FormatterElement

Child class of "FormatterElement", overrides setType to provide other formatter classes for SimpleTest

author | Michiel Rook mrook@php.net
package | phing.tasks.ext.simpletest
since | 2.2.0

### Methods

## Returns extension

    getExtension() : string

inherited

### Response

`string`

## Returns formatter object

    getFormatter() : \PHPUnitResultFormatter

inherited

throws |

### Response

`\PHPUnitResultFormatter`

## Returns output filename

    getOutfile() : string

inherited

### Response

`string`

## Returns output directory

    getToDir() : string

inherited

### Response

`string`

## Returns whether to store formatting results in a file

    getUseFile()

inherited

## Loads a specific formatter class

    setClassName( $className)

inherited

### Arguments

#### $className

``

## Sets output filename

    setOutfile(string $outfile)

inherited

### Arguments

#### $outfile

`string`

## Sets parent task

    setParent(\Task $parent)

inherited

### Arguments

#### $parent

`\Task`

Calling Task

## Sets output directory

    setToDir(string $toDir)

inherited

### Arguments

#### $toDir

`string`

## Loads a specific formatter type

    setType(string $type)

inherited

### Arguments

#### $type

`string`

## Sets whether to store formatting results in a file

    setUseFile( $useFile)

inherited

### Arguments

#### $useFile

``

### Properties

## formatter

    formatter :

inherited

### Type(s)

``

## type

    type :

inherited

### Type(s)

``

## useFile

    useFile :

inherited

### Type(s)

``

## toDir

    toDir :

inherited

### Type(s)

``

## outfile

    outfile :

inherited

### Type(s)

``

## parent

    parent :

inherited

### Type(s)

``